


User Commands                                      fltk-config(1)



NNNNAAAAMMMMEEEE
     fltk-config - script to get information about the  installed
     version of fltk.


SSSSYYYYNNNNOOOOPPPPSSSSIIIISSSS
     fltk-config [ --prefix [=_D_I_R] ] [ --exec-prefix [=_D_I_R]  ]  [
     --version  ] [ --api-version ] [ --use-gl ] [ --use-images ]
     [ --use-glut ] [ --cc ] [ --cxx ] [ --cflags ] [  --cxxflags
     ]   [   --ldflags  ]  [  --ldstaticflags  ]  [  --libs  ]  [
     -D_n_a_m_e[=_v_a_l_u_e] ] [ -g ] [ --compile _p_r_o_g_r_a_m._c_x_x ]

DDDDEEEESSSSCCCCRRRRIIIIPPPPTTTTIIIIOOOONNNN
     _f_l_t_k-_c_o_n_f_i_g is a utility script that  can  be  used  to  get
     information  about  the  current  version  of  FLTK  that is
     installed on the system, what compiler and linker options to
     use when building FLTK-based applications, and to build sim-
     ple FLTK applications.

     The following options are supported:

     --api-version
          Displays the current  FLTK  API  version  number,  e.g.
          "1.1".

     --cc

     --cxx
          Displays the C/C++ compiler that was  used  to  compile
          FLTK.

     --cflags

     --cxxflags
          Displays the C/C++ compiler options to use when compil-
          ing source files that use FLTK.

     --compile _p_r_o_g_r_a_m._c_x_x
          Compiles the  source  file  _p_r_o_g_r_a_m._c_x_x  into  _p_r_o_g_r_a_m.
          This option implies "--post _p_r_o_g_r_a_m".

     -g
          Enables debugging information when compiling  with  the
          --_c_o_m_p_i_l_e option.

     --ldflags
          Displays the linker options to use when linking a  FLTK
          application.

     --ldstaticflags
          Displays the linker options to use when linking a  FLTK
          application to the static FLTK libraries.



6 February 2007 Last change: Fast Light Tool Kit                1






User Commands                                      fltk-config(1)



     --libs
          Displays the full path to the FLTK library files, to be
          used for dependency checking.

     --use-gl
          Enables OpenGL support.

     --use-glut
          Enables GLUT support.

     --use-images
          Enables image file support.

     --version
          Displays the current FLTK version number, e.g. "1.1.0".

SSSSEEEEEEEE AAAALLLLSSSSOOOO
     fluid(1), fltk(3)
     FLTK Programming Manual
     FLTK Web Site, http://www.fltk.org/

AAAAUUUUTTTTHHHHOOOORRRRSSSS
     Bill Spitzak and others.
































6 February 2007 Last change: Fast Light Tool Kit                2



